CitrixFolder (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.citrix.CitrixFolder interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.citrix
Interface CitrixFolder

All Superinterfaces:
  Collection, HomogeneousCollection, ManagedElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  CitrixAppFolder, CitrixServerFolder

    public interface CitrixFolder

extends HomogeneousCollection

Persistable:
  true
Display Name:
  folderDN

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getFolderDN()`
`java.lang.String` | `getFolderName()`
`CitrixFolder[]` | `getFolders()`
`CitrixFolder` | `getParent()`
`boolean` | `hasFolderDN()`
`boolean` | `hasFolderName()`
`boolean` | `hasFolders()`
`boolean` | `hasParent()`
`void` | `setFolderDN(java.lang.String x)`
`void` | `setFolderName(java.lang.String x)`
`void` | `setFolders(CitrixFolder[] x)`
`void` | `setParent(CitrixFolder x)`

Methods inherited from interface com.collation.platform.model.topology.process.HomogeneousCollection
`getMemberType, hasMemberType, setMemberType`

Methods inherited from interface com.collation.platform.model.topology.core.Collection
`getActive, getMembers, getName, hasActive, hasMembers, hasName, setActive, setMembers, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getFolderDN

    java.lang.String getFolderDN()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFolderDN

    void setFolderDN(java.lang.String x)

### hasFolderDN

    boolean hasFolderDN()

### getParent

    CitrixFolder getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setParent

    void setParent(CitrixFolder x)

### hasParent

    boolean hasParent()

### getFolders

    CitrixFolder[] getFolders()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setFolders

    void setFolders(CitrixFolder[] x)

### hasFolders

    boolean hasFolders()

### getFolderName

    java.lang.String getFolderName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFolderName

    void setFolderName(java.lang.String x)

### hasFolderName

    boolean hasFolderName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD